%define anolis_release 4
%global modname IPC-System-Simple

Name:		perl-%{modname}
Version:	1.30
Release:	%{anolis_release}%{?dist}
License:	GPL+ or Artistic
Summary:	Run commands simply, with detailed diagnostics
URL:		https://metacpan.org/release/%{modname}
Source0:	https://cpan.metacpan.org/authors/id/J/JK/JKEENAN/%{modname}-%{version}.tar.gz

BuildRequires:	make findutils coreutils perl-generators perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) perl(Carp) perl(Scalar::Util)
BuildRequires:	perl(constant) perl(Config) perl(List::Util) perl(Exporter)
BuildRequires:	perl(warnings) perl(strict) perl(re) perl(POSIX)
BuildRequires:	perl(Test) perl(Test::More) perl(File::Basename)

BuildArch:	noarch

%description
Calling Perl's in-built 'system()' function is easy; determining if it
was successful is _hard_. Let's face it, '$?' isn't the nicest variable
in the world to play with, and even if you _do_ check it, producing a
well-formatted error string takes a lot of work.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{modname}-%{version}

chmod -x examples/*.pl

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%{perl_vendorlib}/IPC/
%{_mandir}/man3/IPC::System::Simple.3*
%license LICENSE

%files doc
%doc examples/ README Changes

%changelog
* Fri Apr 14 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.30-4
- Refactor the specfile

* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.30-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.30-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 zhang xianting <zhangxianting@uniontech.com> - 1.30-1
- Initial build for Anolis V23
